Index: pkg/debian/control
===================================================================
--- pkg/debian/control	(revision 4490)
+++ pkg/debian/control	(working copy)
@@ -2,8 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: Raphael Enrici <blacknoz@club-internet.fr>
-Build-Depends: debhelper (>= 4.1.0), postgresql-dev (>=7.3), devscripts, libwxgtk2.5-dev (>= 2.5.3.2)
-Standards-Version: 3.6.1
+Build-Depends: debhelper (>= 4.1.0), libpq-dev (>= 7.3), devscripts, libwxgtk2.6-dev, libssl-dev
+Standards-Version: 3.6.2
 
 Package: pgadmin3
 Architecture: any
Index: pkg/debian/changelog
===================================================================
--- pkg/debian/changelog	(revision 4490)
+++ pkg/debian/changelog	(working copy)
@@ -1,3 +1,65 @@
+pgadmin3 (1.4.0-0.2.beta1) unstable; urgency=low
+
+  * Final merge between Tomasz Rybak work and official 1.2.2 packaging stuff
+    we should be ready to build 1.4.0 beta1...
+    - removed "hints" entry from menu file as done in 1.2.2-1
+    [debian/pgadmin3.menu]
+    - moved to policy version 3.6.2 instead of 3.6.1 as done 1.2.2-1.
+    [debian/control]
+    - kept ui to i18n relocation from Tomasz. [debian/rules]
+    [debian/pgadmin3.install]
+    - backed out CPPFLAGS hack from Tomasz and reverted to what was done in
+    1.2.2. That old "-I ./include" should definitely be rechecked.
+    [debian/rules]
+    - kept pgagent installation although there is currently no manpage for it.
+    [debian/pgadmin3.install]
+    - corrected package version number (used something lower than 1).
+    [debian/changelog]
+  * Thanks Tomasz for your help.
+
+ -- Raphael Enrici <blacknoz@club-internet.fr>  Wed,  5 Oct 2005 18:21:03 +0200
+
+pgadmin3 (1.4.0-0.1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Tomasz Rybak <bogomips@post.pl>  Thu,  04 Oct 2005 21:07:20 +0100
+
+pgadmin3 (1.2.2-1) unstable; urgency=low
+
+  * New upstream release (closes: #288171, #278644, #278855, #250991).
+  * Backed out configure part of the NMU from Loic Minier as it has been
+    reworked upstream to support wxWidgets 2.6.x.
+  * Rechecked that Loic reffered to libwxgtk2.6-dev and not libwxgtk2.4-dev as
+    mentioned in NMU (it was ok...). [debian/control]
+    (closes: #327089, #327478)
+  * Kept libpq-dev and libssl-dev build-dep from NMU. Thanks Loic for your
+    work. [debian/control]
+  * Use pg_config to determine include path. Taken from the Ubuntu patch
+    (1.2.0-2ubuntu1 version) by Martin Pitt <martin.pitt@ubuntu.com>.
+  * Moved to policy version 3.6.2 instead of 3.6.1. [debian/control]
+  * Added full path to pgadmin3 in the menu file to take care of a linda
+    warning. [debian/pgadmin3.menu]
+  * Removed hints entry from menu file until a useful entry appears for it
+    into other PostgreSQL related packages. [debian/pgadmin3.menu]
+  * Passed --disable-dependency-tracking option to configure as suggested
+    during last release by Peter Eisentraut. [debian/rules]
+
+ -- Raphael Enrici <blacknoz@club-internet.fr>  Mon, 12 Sep 2005 19:33:35 +0200
+
+pgadmin3 (1.2.0-2.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Rebuild with a newer wxWidgets. (Closes: #310398, #311050)
+    - Build-depend on libwxgtk2.4-dev instead of libwxgtk2.5-dev.
+      [debian/control]
+    - Let the CHECK_WXWINDOWS macro check for wxWidgets 2.6 instead of 2.4 and
+      re-run autoconf. [aclocal.m4, configure]
+  * Build-depend on libpq-dev instead of postgresql-dev. [debian/control]
+  * Add missing libssl-dev build-dep. [debian/control]
+
+ -- Loic Minier <lool@dooz.org>  Thu,  8 Sep 2005 10:48:21 +0200
+
 pgadmin3 (1.2.0-2) unstable; urgency=low
 
   * Renamed debian/NEWS.Debian to debian/pgadmin3.NEWS so that it is correctly
Index: pkg/debian/rules
===================================================================
--- pkg/debian/rules	(revision 4490)
+++ pkg/debian/rules	(working copy)
@@ -13,7 +13,7 @@
 _PGA3_WXCONFIG ?= wx-config
 
 # A hack to get it compile without errors concerning MNU_NEW
-_pgsql_inc:="/usr/include/postgresql -I./include"
+_pgsql_inc:="$(shell pg_config --includedir) -I./include"
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -46,7 +46,11 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
+	CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" ./configure \
+		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
+		--prefix=/usr \
+		--mandir=\$${prefix}/share/man \
+		--infodir=\$${prefix}/share/info \
 		--with-wx=/usr \
 		--with-wx-config=$(_PGA3_WXCONFIG) \
 		--with-pgsql-include=$(_pgsql_inc) \
@@ -98,7 +102,7 @@
 	# move pgadmin3.mo files to locales directory
 	# this part was written by Andreas Tille <tille@debian.org>
 	for loc in `find debian/tmp -name $(pkg).mo` ; do \
-	   LOC=`echo $${loc} | sed "s?.*pgadmin3/ui/\(.*\)/$(pkg).mo?\1?"` ; \
+	   LOC=`echo $${loc} | sed "s?.*pgadmin3/i18n/\(.*\)/$(pkg).mo?\1?"` ; \
 	   mkdir -p debian/$(pkg)/usr/share/locale/$${LOC}/LC_MESSAGES ; \
 	   mv $${loc} debian/$(pkg)/usr/share/locale/$${LOC}/LC_MESSAGES/. ; \
 	done
Index: pkg/debian/pgadmin3.menu
===================================================================
--- pkg/debian/pgadmin3.menu	(revision 4490)
+++ pkg/debian/pgadmin3.menu	(working copy)
@@ -1,4 +1,4 @@
 ?package(pgadmin3):needs="x11" section="Apps/Databases" \
-        title="pgAdmin III" command="pgadmin3" hints="PostgreSQL Tools" \
+        title="pgAdmin III" command="/usr/bin/pgadmin3" \
         icon="/usr/share/pixmaps/pgadmin3.xpm"
 
Index: pkg/debian/pgadmin3.install
===================================================================
--- pkg/debian/pgadmin3.install	(revision 4490)
+++ pkg/debian/pgadmin3.install	(working copy)
@@ -1,3 +1,6 @@
 debian/tmp/usr/bin/pgadmin3        usr/bin
+debian/tmp/usr/bin/pgagent        usr/bin
+debian/tmp/usr/share/pgadmin3/i18n        usr/share/pgadmin3
 debian/tmp/usr/share/pgadmin3/ui        usr/share/pgadmin3
 debian/pgadmin3.xpm usr/share/pixmaps
+debian/tmp/usr/share/pgadmin3/pgagent.sql        usr/share/pgadmin3
